docusign.envelopes.get-recipient-signature ​
Retrieves signature information for a signer or sign-in-person recipient.
Gets signature information for a signer or sign-in-person recipient.
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
envelopeid | string | Yes | — | The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec |
recipientid | string | Yes | — | A local reference used to map recipients to other objects, such as specific document tabs. A recipientId must be either an integer or a GUID, and the recipientId must be unique within an envelope. For example, many envelopes assign the first recipient a recipientId of 1. |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
envelopeid | string | Yes | — | The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec |
recipientid | string | Yes | — | A local reference used to map recipients to other objects, such as specific document tabs. A recipientId must be either an integer or a GUID, and the recipientId must be unique within an envelope. For example, many envelopes assign the first recipient a recipientId of 1. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/signature |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients/{recipientId}/signature |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.envelopes.get-recipient-signature",
"initial_data": {
"base_url": "value",
"accountid": "value",
"envelopeid": "value",
"recipientid": "value"
}
}